/* Copyright (c) 1997-1999 Miller Puckette.
* For information on usage and redistribution, and for a DISCLAIMER OF ALL
* WARRANTIES, see the file, "LICENSE.txt," in this distribution.

iemlib written by Thomas Musil (c) IEM KUG Graz Austria 2000 */

#ifdef NT
#pragma warning( disable : 4244 )
#pragma warning( disable : 4305 )
#endif

#ifndef  PD_VERSION_MINOR
#define PD_VERSION_MINOR 32
#endif

#include "m_imp.h"
#include <math.h>
#include <stdio.h>
#include <string.h>
#include "include/iemlib.h"
#include "iem_t3_lib/t3_delay.c"
#include "iem_t3_lib/t3_metro.c"
#include "iem_t3_lib/t3_bpe.c"
#include "iem_t3_lib/t3_timer.c"
#include "iem_t3_lib/sigt3_sig.c"
#include "iem_t3_lib/sigt3_line.c"

static t_class *iemtt33lliibb_class;

static void *iemtt33lliibb_new(void)
{
    t_object *x = (t_object *)pd_new(iemtt33lliibb_class);
    post("iem_t3_lib library loaded!");
    return (x);
}

void iemtt33lliibb_setup(void)
{
    iemtt33lliibb_class = class_new(gensym("iem_t3_lib"), iemtt33lliibb_new, 0,
    	sizeof(t_object), CLASS_NOINLET, 0);
}

/* ------------------------ setup routine ------------------------- */

void iem_t3_lib_setup(void)
{
    t3_timer_setup();
    t3_delay_setup();
    t3_metro_setup();
    t3_bpe_setup();
    sigt3_sig_setup();
    sigt3_line_setup();
    iemtt33lliibb_setup();
}
